CREATE OR REPLACE PROCEDURE sp_fco_cambio_entidad_conc
  (pch_compania             CHAR,
  pnu_concepto             NUMBER,
  pch_cond_agr_01          CHAR DEFAULT NULL,
  pch_cond_dato_01_01      CHAR DEFAULT NULL)
AS 
BEGIN

     UPDATE conceptos_ns
     SET cond_agr_01 = pch_cond_agr_01,
            cond_dato_01_01 = pch_cond_dato_01_01
     WHERE compania = pch_compania AND
           concepto = pnu_concepto;
            
      COMMIT WORK;
END;
/
CREATE PUBLIC SYNONYM sp_fco_cambio_entidad_conc FOR ADAM.sp_fco_cambio_entidad_conc;
GRANT EXECUTE ON sp_fco_cambio_entidad_conc TO adama;
